/**
 * Copyright 2012 OW2 Shelbie
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.shelbie.core.internal.converter;

import org.apache.felix.service.command.Converter;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.net.URL;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertNotNull;

/**
 * Created by IntelliJ IDEA.
 * User: guillaume
 * Date: 08/03/12
 * Time: 22:31
 * To change this template use File | Settings | File Templates.
 */
public class InputStreamConverterTestCase {
    
    private InputStreamConverter converter;
    
    @BeforeMethod
    public void setUp() throws Exception {
        converter = new InputStreamConverter();
    }

    @Test
    public void testConvertFromUrl() throws Exception {
        URL url = this.getClass().getResource(getClass().getSimpleName() + ".class");
        InputStream is = (InputStream) converter.convert(InputStream.class, url.toString());
        assertNotNull(is);
        is.close();
    }

    @Test(expectedExceptions = FileNotFoundException.class)
    public void testConvertFromWrongUrl() throws Exception {
        converter.convert(InputStream.class, "file:///a.txt");
    }

    @Test
    public void testFormat() throws Exception {
        InputStream is = new ByteArrayInputStream("Hello World".getBytes());
        assertEquals(converter.format(is, Converter.INSPECT, null).toString(), "Hello World");
    }
}
